quoteCharge

The quoteCharge query in Bunny's GraphQL API, with its arguments, return type and an example request.

Scope required:

For a complete list of possible response fields see the QuoteCharge type.

query quoteCharge ($id: ID, $code: String, $format: String) {
  quoteCharge (id: $id, code: $code, format: $format) {
    amount
    couponId
    createdAt
    creditValidityMonths
    currencyId
    currentPrice
    currentQuantity
    discount
    endDate
    evergreen
    id
    invoiceLineText
    isRamp
    isTrial
    name
    price
    priceDecimals
    priceListChargeId
    prorationRate
    quantity
    quantityMax
    quantityMin
    quoteChangeId
    startDate
    subtotal
    taxAmount
    taxCode
    tieredAveragePrice
    topUpChargeId
    topUpMaxPerMonth
    topUpQuantity
    topUpTarget
    topUpThreshold
    updatedAt
    usageCredits
    vatCode
  }
}

ArgumentsLink to Arguments section

Name Type Description
id ID  
code String  
format String  

ResponseLink to Response section